Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.experiment
Class PairedStats

    java.lang.Object
      weka.experiment.PairedStats

Direct Known Subclasses:
  PairedStatsCorrected

    public class PairedStats

extends java.lang.Object

A class for storing stats on a paired comparison (t-test and correlation)

Version:
  $Revision: 1.6 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

Field Summary
`double` | `correlation` The correlation coefficient
`double` | `count` The number of data points seen
`double` | `differencesProbability` The probability of obtaining the observed differences
`int` | `differencesSignificance` A significance indicator: 0 if the differences are not significant > 0 if x significantly greater than y < 0 if x significantly less than y
`Stats` | `differencesStats` The stats associated with the paired differences
`double` | `sigLevel` The significance level for comparisons
`Stats` | `xStats` The stats associated with the data in column 1
`double` | `xySum` The sum of the products
`Stats` | `yStats` The stats associated with the data in column 2

Constructor Summary
`PairedStats(double sig)` Creates a new PairedStats object with the supplied significance level.

Method Summary
`void` | `add(double value1, double value2)` Add an observed pair of values.
`void` | `calculateDerived()` Calculates the derived statistics (significance etc).
`static void` | `main(java.lang.String[] args)` Tests the paired stats object from the command line.
`void` | `subtract(double value1, double value2)` Removes an observed pair of values.
`java.lang.String` | `toString()` Returns statistics on the paired comparison.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### xStats

    public Stats xStats

  The stats associated with the data in column 1

### yStats

    public Stats yStats

  The stats associated with the data in column 2

### differencesStats

    public Stats differencesStats

  The stats associated with the paired differences

### differencesProbability

    public double differencesProbability

  The probability of obtaining the observed differences

### correlation

    public double correlation

  The correlation coefficient

### xySum

    public double xySum

  The sum of the products

### count

    public double count

  The number of data points seen

### differencesSignificance

    public int differencesSignificance

  A significance indicator: 0 if the differences are not significant > 0 if x significantly greater than y < 0 if x significantly less than y

### sigLevel

    public double sigLevel

  The significance level for comparisons

Constructor Detail

### PairedStats

    public PairedStats(double sig)

  Creates a new PairedStats object with the supplied significance level.

  Parameters:
    `sig` - the significance level for comparisons

Method Detail

### add

    public void add(double value1,
                    double value2)

  Add an observed pair of values.

  Parameters:
    `value1` - the value from column 1
    `value2` - the value from column 2

### subtract

    public void subtract(double value1,
                         double value2)

  Removes an observed pair of values.

  Parameters:
    `value1` - the value from column 1
    `value2` - the value from column 2

### calculateDerived

    public void calculateDerived()

  Calculates the derived statistics (significance etc).

### toString

    public java.lang.String toString()

  Returns statistics on the paired comparison.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the t-test statistics as a string

### main

    public static void main(java.lang.String[] args)

  Tests the paired stats object from the command line. reads line from stdin, expecting two values per line.

  Parameters:
    `args` - ignored.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD